package link.at17.mid.tushare.data.crawler.tushare;

import lombok.Getter;

@SuppressWarnings("serial")
public class TushareException extends RuntimeException {
    
    public static final String NO_PERMISSION = "抱歉，您没有访问该接口的权限，权限的具体详情访问";
    
    @Getter
    private boolean isFatal;

    public TushareException(String message) {
        super(message);
        if (message != null && message.contains(NO_PERMISSION)) {
            isFatal = true;
        }
    }
    
}
